Simple Virtual Machine A simple but flexible virtual machine

Loading...
Searching...
No Matches
Functions
SVM value parameters
SVM parameters

This module contains API functions to handle SVM value parameters. More...

## Functions
SVM_FUNCTION SVM_Boolean | svm_parameter_type_is_value (const void *svm, const SVM_Parameter parameter)
| This function checks whether a callback parameter is a value.
SVM_FUNCTION SVM_Value | svm_parameter_value_get (const void *svm, const SVM_Parameter parameter)
| This function converts a parameter into a value.
SVM_FUNCTION SVM_Parameter | svm_parameter_value_new (const void *svm, const SVM_Value value)
| This function creates a parameter from a value.

## Detailed Description

This module contains API functions to handle SVM value parameters.

## Function Documentation

## ◆ svm_parameter_type_is_value()

SVM_FUNCTION SVM_Boolean svm_parameter_type_is_value | ( | const void * | svm,
|  | const SVM_Parameter | parameter
| ) |  |

This function checks whether a callback parameter is a value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | parameter | The callback parameter to check.

Returns
  TRUE if the parameter is a value, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_parameter_value_get()

SVM_FUNCTION SVM_Value svm_parameter_value_get | ( | const void * | svm,
|  | const SVM_Parameter | parameter
| ) |  |

This function converts a parameter into a value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | parameter | The callback parameter to convert.

Returns
  The value variable contained in the parameter.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the parameter does not contain a value.

See also
  svm_parameter_type_is_value

## ◆ svm_parameter_value_new()

SVM_FUNCTION SVM_Parameter svm_parameter_value_new | ( | const void * | svm,
|  | const SVM_Value | value
| ) |  |

This function creates a parameter from a value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | value | The value to be passed as a parameter.

Returns
  The parameter containing the value.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)